Bug 50032 - Installer crashes during formatting process in a partitionless installation.
Installer crashes during formatting process in a partitionless installation.
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-07-26 00:03 EDT by Greg Johnston
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-27 16:17:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
anaconda dump (6.01 KB, text/plain)
2001-07-26 00:03 EDT, Greg Johnston
no flags Details

  None (edit)
Description Greg Johnston 2001-07-26 00:03:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; AT&T WNS5.0)

Description of problem:
While performing a partitionless install, installer crashes during the 
formatting process. I was only allowed to create the dump on floppy and 
the system restarts. 

How reproducible:

Steps to Reproduce:
1.Partitionless installation.
2.Select packages to install.
3.Proceed up to and part way through format of swap file.

Actual Results:  Told this might be a bug. Offered to create an anaconda 
dump to floppy.

Additional info:

Installtion platform: Celeron CPU, 533Mhz, 128Mb, Win98 OS installed.
Comment 1 Greg Johnston 2001-07-26 00:03:41 EDT
Created attachment 25027 [details]
anaconda dump
Comment 2 Michael Fulbright 2001-07-27 16:04:11 EDT
Please include more detailed instructions on the partitioning steps of your
install attempt.
Comment 3 Greg Johnston 2001-07-27 16:17:36 EDT
I selected an existing FAT32 partition containing Win98 OS for a partitionless 
installation. This is the only partition on the machine. I selected ~3.0GB from 
~6GB remaining on the drive for Red Hat. I used ~32MB for the swap and all the 
remaining (of the 3GB) for "/". Everything else was just following instruction 
form anaconda. The dump should show which packages I was installing. Hope this 

BTW, I decided to use fips to steal away the partition space and installed 
without a hitch.
Comment 4 Brent Fox 2001-07-28 22:08:20 EDT
I think that the 32MB of swap that the installer defaults to is just not enough
swap space.  I think that if you had selected enough swap space (roughly 2x your
amount of RAM), then things would have worked.  With the increased swap needs of
the 2.4 kernel, 32MB of swap just wasn't nearly enough for us to set the default
at.  Partitionless installs just seem to be more error prone than traditional
install methods.

Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.